oracle.pgx.config

## Class GraphConfigBuilder

- java.lang.Object
- - oracle.pgx.config.GraphConfigBuilder

-     public class GraphConfigBuilder
      extends Object

  Factory to create graph config builders.
  Author:
    ksc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphConfigBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileGraphConfigBuilder` | `forFileFormat(Format format)` returns a PGX graph config builder to create file-based graph configs programmatically via Java methods.
    `static FileGraphConfigBuilder` | `forFileFormats()` returns a PGX graph config builder to create file-based graph configs programmatically via Java methods.
    `static PgHbaseGraphConfigBuilder` | `forPropertyGraphHbase()` returns a PGX graph config builder to create Apache HBASE graph configs programmatically via Java methods.
    `static PgNosqlGraphConfigBuilder` | `forPropertyGraphNosql()` returns a PGX graph config builder to create Oracle NoSQL graph configs programmatically via Java methods.
    `static oracle.pgx.config.PgRdbmsGraphConfigBuilder` | `forPropertyGraphRdbms()` returns a PGX graph config builder to create Oracle RDBMS graph configs programmatically via Java methods.
    `static TwoTablesGraphConfigBuilder` | `forTwoTables()` returns a PGX graph config builder to create two-table graph programmatically via Java methods.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphConfigBuilder

          public GraphConfigBuilder()

  - ### Method Detail

    - #### forFileFormat

          public static FileGraphConfigBuilder forFileFormat(Format format)

      returns a PGX graph config builder to create file-based graph configs programmatically via Java methods. Unlike `forFileFormats()`, the returned builder of this method has `oracle.pgx.config.FileGraphConfig.Field#TYPE`
      Returns:

    - #### forFileFormats

          public static FileGraphConfigBuilder forFileFormats()

      returns a PGX graph config builder to create file-based graph configs programmatically via Java methods.
      Returns:

    - #### forPropertyGraphHbase

          public static PgHbaseGraphConfigBuilder forPropertyGraphHbase()

      returns a PGX graph config builder to create Apache HBASE graph configs programmatically via Java methods. The returned builder already has `PgHbaseGraphConfig.Field.FORMAT` set to `Format.PG` and `PgHbaseGraphConfig.Field.DB_ENGINE` set to `DbEngine.HBASE`.
      Returns:

    - #### forPropertyGraphNosql

          public static PgNosqlGraphConfigBuilder forPropertyGraphNosql()

      returns a PGX graph config builder to create Oracle NoSQL graph configs programmatically via Java methods. The returned builder already has `PgNosqlGraphConfig.Field.FORMAT` set to `Format.PG` and `PgNosqlGraphConfig.Field.DB_ENGINE` set to `DbEngine.NOSQL`.
      Returns:

    - #### forPropertyGraphRdbms

          public static oracle.pgx.config.PgRdbmsGraphConfigBuilder forPropertyGraphRdbms()

      returns a PGX graph config builder to create Oracle RDBMS graph configs programmatically via Java methods. The returned builder already has `PgRdbmsGraphConfig.Field.FORMAT` set to `Format.PG` and `PgRdbmsGraphConfig.Field.DB_ENGINE` set to `DbEngine.RDBMS`.
      Returns:

    - #### forTwoTables

          public static TwoTablesGraphConfigBuilder forTwoTables()

      returns a PGX graph config builder to create two-table graph programmatically via Java methods. The returned builder already has `TwoTablesGraphConfig.Field.FORMAT` set to `Format.TWO_TABLES_DB`
      Returns:

Copyright © 2015. All rights reserved.